
QGIS Application - Bug report #21822

Cannot load multivariable netcdf files

2019-04-10 12:47 PM - saverio vicario

Status: Open

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:3.4.6 Regression?: Yes

Operating System: ubuntu 18.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29637

Description

I upgraded QGis and I cannot load some netcdf anymore. All the file multivariable that I have cannot be read. 

The netcdf that I can load do not trigger the window were to choose the variable as before but directly load the single variable present in

the files.

When I try to load a multivariable netcdf Qgis report on the GUI that source is not valid and on terminal I am getting only warnings relative

to the naming of dimensions

" 

Warning 1: dimension #2 (x) is not a Longitude/X dimension.

Warning 1: dimension #1 (y) is not a Latitude/Y dimension.

Warning 1: dimension #0 (Year) is not a Time or Vertical dimension.

" 

so no critical error.

When I am using gdalinfo is all fine.

when I am using gdal_translate to transform a single variable in geotiff is all fine and am getting a tiff file correctly read by qgis itself.

Related issues:

Related to QGIS Application - Bug report # 21783: Error reading netCDF with m... Open 2019-04-07

History

#1 - 2019-04-10 12:52 PM - saverio vicario

An update:

when from my python script were I generate the netcdf I select a single variable from my mutivariable dataset and produce a new netcdf files, this is loaded

no problem inside qgis.

So the problem is really that qgis 3.4.6 does not produce a pop up window were used can select the variable of interest to be loaded.

#2 - 2019-04-10 05:09 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please attach sample data, thanks!

#3 - 2019-04-10 05:10 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

- Subject changed from Cannot load multivariable netcdf files into QGIS 3.4.6 that were loading in QGIS 2.8 to Cannot load multivariable netcdf files

2024-03-20 1/2



Also possibly duplicate of #21783

#4 - 2019-04-10 07:15 PM - Jürgen Fischer

- Related to Bug report #21783: Error reading netCDF with multiple bands added

#5 - 2019-04-11 10:13 AM - saverio vicario

- File Testy.nc added

I solved partially the problem.

I changed the name of dimensions from x to X, from y to Y,  and from Years to Time and Qgis recognize my multivariable netcdf as something to be read

by MDAL. So I got my visualization,albeit always with an error message. So I would like to change the report  to "feature request": the error message should

more clear and state if some variable are not recognized or at least report the warning of gdalinfo that guided me to make the changes. I attach a smaller

data set so that you can read the error message that stay even if now the data set is read ( probably some other metadata are asked)

#6 - 2019-04-11 04:22 PM - Giovanni Manghi

- Category changed from Data Source Manager to Rasters

- Status changed from Feedback to Open

Files

Testy.nc 4.22 MB 2019-04-11 saverio vicario
